export declare type Code = string;
export declare type Translation = Record<string, string>;
export declare type Translations = Record<Code, Translation>;
export declare type Data = Record<string, unknown>;
export interface Language {
    code: Code;
    name: string;
}
export interface OnMissingProps {
    id: string;
    code: Code;
}
export interface Config {
    activeLanguage: string;
    onMissing?: (data: OnMissingProps) => void;
    onAlias?: (alias: string, code: Code) => string;
}
